Crie uma API Key para testar os endpoints ao vivo.

Criar API Key

Esta operação consome créditos do seu workspace por chamada.

post /api/v1/enrichment/reverse-phone

Autorização

Informe sua API key gerada em /developer/api-keys

Authorization

bearerAuth
AuthorizationBearer <token>

Informe sua API key gerada em /developer/api-keys

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

phone*string

Celular a enriquecer: 11 dígitos DDD + 9XXXXXXXX (aceita máscara e prefixo 55).

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://tamz.ai/api/v1/enrichment/reverse-phone" \  -H "Content-Type: application/json" \  -d '{    "phone": "41999998888"  }'
{
  "data": {
    "cpf": "string",
    "identity": {
      "nome": "string",
      "sexo": "string",
      "cidade": "string",
      "uf": "string"
    },
    "ranking": {
      "cpf": "string",
      "confidence": 0,
      "totalRecords": 0,
      "primaryOccurrences": 0,
      "distinctCpfs": 0,
      "alternatives": [
        {
          "cpfMasked": "string",
          "occurrences": 0
        }
      ]
    },
    "companies": {
      "total": 0,
      "items": [
        {
          "cnpj": "string",
          "razaoSocial": "string",
          "nomeFantasia": "string",
          "tipo": "string",
          "cnpjRoot": "string",
          "papel": "string",
          "equityPct": 0
        }
      ]
    },
    "linkedin": {
      "url": "string",
      "role": {
        "jobTitle": "string",
        "department": "string",
        "seniority": "string"
      }
    }
  },
  "meta": {
    "credits_used": 0,
    "found": true,
    "source": "tamz_core"
  }
}
{
  "error": {
    "code": "INVALID_PARAMS",
    "message": "Invalid parameters"
  }
}
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Missing API key. Use Authorization: Bearer tamz_xxx or X-API-Key header"
  }
}
{
  "error": {
    "code": "INSUFFICIENT_CREDITS",
    "message": "Insufficient credits"
  }
}
{
  "error": {
    "code": "RATE_LIMITED",
    "message": "Rate limit exceeded"
  }
}
{
  "error": {
    "code": "INVALID_PARAMS",
    "message": "Invalid parameters"
  }
}